// src/middleware/session.ts
import {
  CookieStore,
  sessionMiddleware
} from "hono-sessions";

// src/env.ts
function prod() {
  return process.env.NODE_ENV === "production";
}

// src/middleware/session.ts
function session(opts) {
  if (!opts.encryptionKey && prod())
    throw new Error(
      "encryptionKey is required in production when using session()"
    );
  return sessionMiddleware({
    store: new CookieStore({
      ...opts,
      sessionCookieName: "session"
    }),
    ...opts
  });
}
export {
  session
};
//# sourceMappingURL=session.js.map